IRPCVaultExtensionMethods.ExecuteExtensionMethod

View as Markdown

Vault API / standard write session idempotent returns metadata structure version

Runs an event handler method by name. In new code use RunExtensionMethod.

ServiceVault extension methods MFiles.IRPCVaultExtensionMethods
gRPC method/MFiles.IRPCVaultExtensionMethods/ExecuteExtensionMethod
HTTP (mf-http-grpc)POST /grpc/v1/execute-extension-method
RequestExecuteExtensionMethodRequest
ResponseExecuteExtensionMethodResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentyes
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Remarks

Request: ExecuteExtensionMethodRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
script_identifierstringThe name of the VaultExtensionMethod event handler.
inputstringThe input passed to the method.

Response: ExecuteExtensionMethodResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
outputstringThe output of the method.